coap_block_internal.h File Reference

COAP block internal information. More...

`#include "coap_pdu_internal.h"`
`#include "resource.h"`
Include dependency graph for coap_block_internal.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

struct | coap_lg_range
struct | coap_rblock_t
| Structure to keep track of received blocks. More...
struct | coap_l_block1_t
| Structure to keep track of block1 specific information (Requests) More...
struct | coap_l_block2_t
| Structure to keep track of block2 specific information (Responses) More...
struct | coap_lg_xmit_t
| Structure to hold large body (many blocks) transmission information. More...
struct | coap_lg_crcv_t
| Structure to hold large body (many blocks) client receive information. More...
struct | coap_lg_srcv_t
| Structure to hold large body (many blocks) server receive information. More...

## Macros

#define | COAP_RBLOCK_CNT 4

## Typedefs

typedef struct coap_rblock_t | coap_rblock_t
| Structure to keep track of received blocks. More...
typedef struct coap_l_block1_t | coap_l_block1_t
| Structure to keep track of block1 specific information (Requests) More...
typedef struct coap_l_block2_t | coap_l_block2_t
| Structure to keep track of block2 specific information (Responses) More...

## Enumerations

enum | coap_recurse_t { COAP_RECURSE_OK , COAP_RECURSE_NO }

## Functions

coap_lg_crcv_t * | coap_block_new_lg_crcv (coap_session_t *session, coap_pdu_t *pdu)
void | coap_block_delete_lg_crcv (coap_session_t *session, coap_lg_crcv_t *lg_crcv)
coap_tick_t | coap_block_check_lg_crcv_timeouts (coap_session_t *session, coap_tick_t now)
void | coap_block_delete_lg_srcv (coap_session_t *session, coap_lg_srcv_t *lg_srcv)
coap_tick_t | coap_block_check_lg_srcv_timeouts (coap_session_t *session, coap_tick_t now)
int | coap_handle_request_send_block (coap_session_t *session, coap_pdu_t *pdu, coap_pdu_t *response, coap_resource_t *resource, coap_string_t *query)
int | coap_handle_request_put_block (coap_context_t *context, coap_session_t *session, coap_pdu_t *pdu, coap_pdu_t *response, coap_resource_t *resource, coap_string_t *uri_path, coap_opt_t *observe, coap_string_t *query, coap_method_handler_t h, int *added_block)
int | coap_handle_response_send_block (coap_session_t *session, coap_pdu_t *rcvd)
int | coap_handle_response_get_block (coap_context_t *context, coap_session_t *session, coap_pdu_t *sent, coap_pdu_t *rcvd, coap_recurse_t recursive)
void | coap_block_delete_lg_xmit (coap_session_t *session, coap_lg_xmit_t *lg_xmit)
int | coap_add_data_large_internal (coap_session_t *session, coap_pdu_t *pdu, coap_resource_t *resource, const coap_string_t *query, int maxage, uint64_t etag, size_t length, const uint8_t *data, coap_release_large_data_t release_func, void *app_ptr)
| The function that does all the work for the coap_add_data_large*() functions. More...
void | coap_check_code_lg_xmit (coap_session_t *session, coap_pdu_t *response, coap_resource_t *resource, coap_string_t *query)
| The function checks that the code in a newly formed lg_xmit created by coap_add_data_large_response() is updated. More...

## Detailed Description

COAP block internal information.

Definition in file coap_block_internal.h.